.toast {
    position: fixed; 
    top: 1.25rem; 
    right: 1.25rem;
    max-width: 20rem;
    width: 100%;
    opacity: 0;
    transform: translateY(-100%);
    visibility: hidden;
    word-break: break-word;
    backdrop-filter: blur(12px);
    border-radius: 0.5rem;
    border-width: 1px;
    border-style: solid; 
    z-index: 9999;
    /* Create a sort of bouncing effect */
    transition:
        opacity 0.3s ease,
        transform 0.4s cubic-bezier(0.18, 0.89, 0.32, 1.28),
        visibility 0.3s;
}

.toast--visible {
    opacity: 1;
    transform: translateY(0);
    visibility: visible;
}

.toast--success {
    background-color: color-mix(in srgb, var(--success), transparent 80%);
    color: var(--success);
    border-color: color-mix(in srgb, var(--success), black 40%);
}

.toast--error {
    background-color: color-mix(in srgb, var(--danger), transparent 80%);
    color: var(--danger);
    border-color: color-mix(in srgb, var(--danger), black 40%);
}

.toast__message {
    display: flex;
    align-items: flex-start;
    padding: 0.75rem;
    gap: 0.5rem;
    min-height: 0;
}

.toast__message__icon {
    font-size: 1rem;
    flex-shrink: 0;
}

.toast__message__content {
    flex: 1 1 auto;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

.toast__message__content__status {
    font-size: 1rem;
    font-weight: 700;
}

.toast__message__content__text {
    color: #fff;
    font-size: 0.875rem;
    font-weight: 500;
    white-space: pre-line;
}

.toast__message__close-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 1.5rem;
    height: 1.5rem;
}